<?php

namespace App\Entity;

use Doctrine\Common\Collections\ArrayCollection;
use Doctrine\Common\Collections\Collection;
use Doctrine\ORM\Mapping as ORM;

/**
 * @ORM\Entity(repositoryClass="App\Repository\RodicRepository")
 */
class Rodic
{
    /**
     * @ORM\Id()
     * @ORM\GeneratedValue()
     * @ORM\Column(type="integer")
     */
    private $id;

    /**
     * @ORM\Column(type="string", length=255)
     */
    private $jmeno;

    /**
     * @ORM\Column(type="string", length=255)
     */
    private $prijmeni;

    /**
     * @ORM\Column(type="string", length=50, nullable=true)
     */
    private $titul;

    /**
     * @ORM\Column(type="string", length=255)
     */
    private $ulice;

    /**
     * @ORM\Column(type="string", length=255)
     */
    private $obec;

    /**
     * @ORM\Column(type="string", length=255)
     */
    private $m_cast;

    /**
     * @ORM\Column(type="string", length=255)
     */
    private $stat;

    /**
     * @ORM\Column(type="string", length=255)
     */
    private $cis_pop;

    /**
     * @ORM\Column(type="integer")
     */
    private $psc;

    /**
     * @ORM\Column(type="string", length=13, nullable=true)
     */
    private $telefon;

    /**
     * @ORM\Column(type="string", length=50, nullable=true)
     */
    private $email;

    /**
     * @ORM\ManyToMany(targetEntity="App\Entity\Zak", inversedBy="rodic")
     */
    private $zak;

    /**
     * @ORM\Column(type="date", nullable=true)
     */
    private $dat_nar;

    /**
     * @ORM\Column(type="string", length=255, nullable=true)
     */
    private $image;

    public function __construct()
    {
        $this->zak = new ArrayCollection();
    }

    public function __toString()
    {
        return $this->jmeno . ' ' . $this -> prijmeni;
    }



    public function getId(): ?int
    {
        return $this->id;
    }

    public function getJmeno(): ?string
    {
        return $this->jmeno;
    }

    public function setJmeno(string $jmeno): self
    {
        $this->jmeno = $jmeno;

        return $this;
    }

    public function getPrijmeni(): ?string
    {
        return $this->prijmeni;
    }

    public function setPrijmeni(string $prijmeni): self
    {
        $this->prijmeni = $prijmeni;

        return $this;
    }

    public function getTitul(): ?string
    {
        return $this->titul;
    }

    public function setTitul(?string $titul): self
    {
        $this->titul = $titul;

        return $this;
    }

    public function getUlice(): ?string
    {
        return $this->ulice;
    }

    public function setUlice(string $ulice): self
    {
        $this->ulice = $ulice;

        return $this;
    }

    public function getObec(): ?string
    {
        return $this->obec;
    }

    public function setObec(string $obec): self
    {
        $this->obec = $obec;

        return $this;
    }

    public function getMCast(): ?string
    {
        return $this->m_cast;
    }

    public function setMCast(string $m_cast): self
    {
        $this->m_cast = $m_cast;

        return $this;
    }

    public function getStat(): ?string
    {
        return $this->stat;
    }

    public function setStat(string $stat): self
    {
        $this->stat = $stat;

        return $this;
    }

    public function getCisPop(): ?string
    {
        return $this->cis_pop;
    }

    public function setCisPop(string $cis_pop): self
    {
        $this->cis_pop = $cis_pop;

        return $this;
    }

    public function getPsc(): ?int
    {
        return $this->psc;
    }

    public function setPsc(int $psc): self
    {
        $this->psc = $psc;

        return $this;
    }

    public function getTelefon(): ?string
    {
        return $this->telefon;
    }

    public function setTelefon(?string $telefon): self
    {
        $this->telefon = $telefon;

        return $this;
    }

    public function getEmail(): ?string
    {
        return $this->email;
    }

    public function setEmail(?string $email): self
    {
        $this->email = $email;

        return $this;
    }

    /**
     * @return Collection|Zak[]
     */
    public function getZak(): Collection
    {
        return $this->zak;
    }

    public function addZak(Zak $zak): self
    {
        if (!$this->zak->contains($zak)) {
            $this->zak[] = $zak;
        }

        return $this;
    }

    public function removeZak(Zak $zak): self
    {
        if ($this->zak->contains($zak)) {
            $this->zak->removeElement($zak);
        }

        return $this;
    }

    public function getDatNar(): ?\DateTimeInterface
    {
        return $this->dat_nar;
    }

    public function setDatNar(?\DateTimeInterface $dat_nar): self
    {
        $this->dat_nar = $dat_nar;

        return $this;
    }

    public function getImage(): ?string
    {
        return $this->image;
    }

    public function setImage(?string $image): self
    {
        $this->image = $image;

        return $this;
    }


}
