<?php

namespace App\Entity;

use Doctrine\Common\Collections\ArrayCollection;
use Doctrine\Common\Collections\Collection;
use Doctrine\ORM\Mapping as ORM;
use Symfony\Component\Security\Core\User\UserInterface;

/**
 * @ORM\Entity(repositoryClass="App\Repository\UserRepository")
 */
class User implements UserInterface
{
    /**
     * @ORM\Id()
     * @ORM\GeneratedValue()
     * @ORM\Column(type="integer")
     */
    private $id;

    /**
     * @ORM\Column(type="string", length=180, unique=true)
     */
    private $username;

    /**
     * @ORM\Column(type="json")
     */
    private $roles = [];

    /**
     * @var string The hashed password
     * @ORM\Column(type="string")
     */
    private $password;

    /**
     * @ORM\OneToOne(targetEntity="App\Entity\Ucitele", inversedBy="user", cascade={"persist", "remove"})
     */
    private $ucitel;

    /**
     * @ORM\OneToOne(targetEntity="App\Entity\Zak", inversedBy="user", cascade={"persist", "remove"})
     */
    private $zak;

    /**
     * @ORM\OneToOne(targetEntity="App\Entity\Rodic", cascade={"persist", "remove"})
     */
    private $rodic;


    public function getId(): ?int
    {
        return $this->id;
    }

    /**
     * A visual identifier that represents this user.
     *
     * @see UserInterface
     */
    public function getUsername(): string
    {
        return (string) $this->username;
    }

    public function setUsername(string $username): self
    {
        $this->username = $username;

        return $this;
    }

    public function __toString()
    {
        return (string) $this -> username;
    }

    /**
     * @see UserInterface
     */
    public function getRoles(): array
    {
        $roles = $this->roles;
        // guarantee every user at least has ROLE_USER
        $roles[] = 'ROLE_USER';

        return array_unique($roles);
    }

    public function setRoles(array $roles): self
    {
        $this->roles = $roles;

        return $this;
    }

    /**
     * @see UserInterface
     */
    public function getPassword(): string
    {
        return (string) $this->password;
    }

    public function setPassword(string $password): self
    {
        $this->password = $password;

        return $this;
    }

    /**
     * @see UserInterface
     */
    public function getSalt()
    {
        // not needed when using the "bcrypt" algorithm in security.yaml
    }

    /**
     * @see UserInterface
     */
    public function eraseCredentials()
    {
        // If you store any temporary, sensitive data on the user, clear it here
        // $this->plainPassword = null;
    }

    public function getUcitel(): ?Ucitele
    {
        return $this->ucitel;
    }

    public function setUcitel(?Ucitele $ucitel): self
    {
        $this->ucitel = $ucitel;

        return $this;
    }

    public function getZak(): ?Zak
    {
        return $this->zak;
    }

    public function setZak(?Zak $zak): self
    {
        $this->zak = $zak;

        return $this;
    }

    public function getRodic(): ?Rodic
    {
        return $this->rodic;
    }

    public function setRodic(?Rodic $rodic): self
    {
        $this->rodic = $rodic;

        return $this;
    }
}
